perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Philip M. Gollucci" <pgollu...@p6m7g8.com>
Subject Re: 1.99 vs 2.0
Date Tue, 05 Jul 2005 16:52:14 GMT
Ge

>ugh, that page is a mess :)
>  
>
Yes I know :)

>  if ($ENV{MOD_PERL_API_VERSION} == 2) {
>    use Apache2::Const qw(OK);
>  }
>  else {
>    use Apache::Constants qw(OK);
>  }
>  
>
That's only runtime logic around compile time statements. 
You wouldn't able to do a syntax check with that in your file
unless you had mp2 and mp1 in the perl lib tree ?

also, its needs an s/mod_perl/mod_perl2/g

>should be more than sufficient for that entire page I would think.  if
>someone wants to move to the -compile option to save overhead I'm sure they
>can figure out how it works :)
>  
>

>well, I don't think the issue there is as clear cut as I'd like it to be.
>sure, we ought to be promoting 2.0, but 1.99 is _everywhere_, in particular
>versions of redhat and debian that lots of our userbase uses.  but if we
>stick to MOD_PERL_API_VERSION then 1.99 v 2.0 is a non-issue - if you have
>mp2 but that test fails you're on way too old a version :)
>
>--Geoff
>  
>
Agreed.


-- 
END 
---------------------------------------------------------
    What doesn't kill us can only make us stronger.
               Nothing is impossible.
				
Philip M. Gollucci (pgollucci@p6m7g8.com) 301.254.5198
Consultant / http://p6m7g8.net/Resume/resume.shtml
Senior Developer / Liquidity Services, Inc.
     http://www.liquidityservicesinc.com
        http://www.liquidation.com
        http://www.uksurplus.com
        http://www.govliquidation.com
        http://www.gowholesale.com



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@perl.apache.org
For additional commands, e-mail: dev-help@perl.apache.org


Mime
View raw message